Subject: Robotica - Decision on Manuscript ID ROB-REG-09-0184
From: [email-masked]
To: [email-masked]
Date: Mon, 8 Feb 2010 09:39:49 -0500 (EST)

08-Feb-2010

Dear Dr. Bowyer:

Manuscript ID ROB-REG-09-0184 entitled "RepRap - The Replicating Rapid Prototyper" which you submitted to Robotica, has been reviewed.  The comments of the reviewer(s) are included at the bottom of this letter.

The guest editors recommend that the authors revise this submission in accordance with reviewer directions. Depending on the time required to complete this revision, as well as the outcome of the subsequent review process, the revised work may be included in the special issue on Robotic Self-X Systems. 

To revise your manuscript, log into http://mc.manuscriptcentral.com/robotica  and enter your Author Center, where you will find your manuscript title listed under "Manuscripts with Decisions."  Under "Actions," click on "Create a Revision."  Your manuscript number has been appended to denote a revision.

You will be unable to make your revisions on the originally submitted version of the manuscript.  Instead, revise your manuscript using a word processing program and save it on your computer.  Please also highlight the changes to your manuscript within the document by using the track changes mode in MS Word or by using bold or colored text.

Once the revised manuscript is prepared, you can upload it and submit it through your Author Center.

When submitting your revised manuscript, you will be able to respond to the comments made by the reviewer(s) in the space provided.  You can use this space to document any changes you make to the original manuscript.  In order to expedite the processing of the revised manuscript, please be as specific as possible in your response to the reviewer(s).

IMPORTANT:  Your original files are available to you when you upload your revised manuscript.  Please delete any redundant files before completing the submission.

Because we are trying to facilitate timely publication of manuscripts submitted to Robotica, your revised manuscript should be uploaded as soon as possible.  If it is not possible for you to submit your revision in a reasonable amount of time, we may have to consider your paper as a new submission.

Once again, thank you for submitting your manuscript to Robotica and I look forward to receiving your revision.

Sincerely,
Prof. Greg Chirikjian
Editor in Chief, Robotica
[email-masked]

Reviewer(s)' Comments to Author:

Reviewer: 1
Comments to the Author
This is a very excellent review of the kinematic replication field and summary of the history and accomplishments of the RepRap project.  There’s the same exciting feel as in the earliest days in the PC industry back in the late 1970s, when Radio Shack and others started selling the first assemble-it-yourself home computers.  I enthusiastically recommend this paper for publication in Robotica.

I didn’t see a statement of the estimated lifetime of a typical machine, e.g., how many hours you can get out of key parts, such as a head, before it must be replaced;  nor did I see a statement of the smallest attainable feature size on product objects that can be fabricated (this is different from the raw positioning accuracy, which is stated to be 0.1 mm).  Adding these two bits of information to the text would improve the paper, but are not critical.

I could find only one minor factual error:  on the last line of page 6, “Reproducing Concepts Team” should be corrected to “Replicating Systems Concepts Team”, which was the actual name of the group in this study.

Reviewer: 2
Comments to the Author
I found this to be a very interesting, well written narrative of the rep-rap project. However, therin lies my greatest objection - that this reads like a narrative or a progress report more than a scientific paper. I think much of the content is relevant, but it would benefit readers to reorganize the paper from section 3 onwards to stress what the "result" is. Describe the working, replicating printer clearly, in all its details, and fill in history, variations, and some future directions in separate sections to the extent it enlightens the reader.
 
Specific comments: 
-Since you do not give an exact definition of "raw" materials, it would be useful background to present the physical systems that have been demonstrated reproducing, albeit with varying levels of "raw" materials. IE Zykov et al at Cornell in addition to Chirikjian (JHU) whom your reference elsewhere. 

-Although an interesting philosophical read, much of section 2 ("the genesis of RepRap") seemed tangential to the results presented here. I would strongly suggest (but not require) that this section be distilled to its core ideas.

-A functional diagram would be helpful along with Fig 4.

-Awkward to references authors within the paper, ie "... one of us (VO) came up with a..."

-Replace hand-drawn sketch with a clear, computer-generated diagram. (Fig 5) 

- Fig 7: functional diagram would be helpful in addition to one exterior view. Actual picture would be worlds better than a Solidworks screenshot.

-"Unlike commercial machines, RepRap also allows interiors to be built fully dense." Incorrect. All major vendors I am familiar with (Stratasys, ZCorp, Objet, all laser sintering systems, etc) have this option, if not requirement. You may be speaking of the fact that stratasys leaves micro-voids even when set to print dense, but after the previous sentence comparing "dense" to "honeycomb" this is very confusing/misleading.

-In mentioning  the FaH project, your comment "(this project, incidentally, was inspired by RepRap)" should be referenced if you wish to assert this. (quick survey of the FaH site you include as your reference doesn't verify this...)

-One could easily argue that the build precision of your child machines comes from the positioning system, not the parts produced by the parent machine. Please address in your discussion - IE where you call it "self replicating" by your definition.

In summary, I believe this is valuable information that should be definitely published, but a reader should have a stronger sense of "arrival" at a result than I get from reading this paper. Some relatively deep re-organizing is in order, but will (I believe) result in a much stronger paper.

Reviewer: 3
Comments to the Author
This paper is very interesting and useful to the engineering practitioner interested in producing a self-reproducing machine that is also capable of fabricating other useful engineering artifacts. The establishment of a clear lexicon around self-reproduction is particularly useful for categorizing existing attempts at self-reproducing kinematic machines. Additionally, the biomimetic approach provides an excellent justification for the design of the RepRap as a kinematic assisted self-replication self-manufacturing machine. 

To strengthen the paper it would be helpful to more clearly place the RepRap in the broader ecosystem of personal fabrication robots (both self-replicating and otherwise). For example, the MakerBot and Fab@Home projects are mentioned as RepStraps, but it would be nice to have an overview of how their capabilities compare to or complement the RepRap's. 

Secondly, while the hardware design evolution is covered in-depth, the software is ignored entirely. An overview of the control software, particularly slicing and filling algorithms would be illuminating. For example, the paper mentions that the internal density of the part can be adjusted over a wide range. One challenge for any solid free form machine is the production of thin-walled parts. Though arbitrary part fabrication is clearly not the primary goal of RepRap, it would be useful to describe its limitations in that regard. Also of interest are open source design tools. Are any design tools included as part of the RepRap kit, or does the system simply except and standard part representations like STL, depending on the user to provide the tools for designing parts?